If you are reporting a bug or problem with dlib then fill out the entire template below.  Issues asking questions about why something doesn't work that fail to fill out the entire template will be closed.

Also, **the issue tracker is not a code writing service, do not ask for someone to write code for you.**  In particular, do not submit issues asking for feature improvements to the example programs.  The examples are documentation, their purpose is to teach, not to be useful programs.  **If there is some feature improvement you want in an example program then it's up to you to write it**.  

Finally, before you ask a question, check google for a solution, [the dlib FAQ](http://dlib.net/faq.html), or generally consult the dlib documentation.  Every single function in dlib is documented in detail.  If you post an issue but you obviously haven't read the documentation for the part of dlib you are using then you won't get an answer.  

If you aren't reporting a bug or problem with dlib then delete this template and write whatever you want here.
 

<!-- ================================================================ -->
<!-- =====================  BUG REPORT TEMPLATE ===================== -->
<!-- ================================================================ -->


<!-- Delete the above instructions and then provide a general summary of the issue in the Title above.  Then fill out the template below. -->

## Expected Behavior
<!--- Tell us what should happen.  What were you doing?  What part of dlib are you using?  What do you think should happen? -->

## Current Behavior
<!--- Tell us what happens instead of the expected behavior.  If you get an error, include the entire error message in the bug report.  DO NOT POST SCREEN SHOTS.  Paste in the text instead.   If the issue is some kind of build problem, include the entire CMake output along with the error message. -->

## Steps to Reproduce
<!--- Provide an unambiguous set of steps to reproduce this bug. Include code to reproduce, if relevant -->



* **Version**: <!-- What version of dlib? -->
* **Where did you get dlib**: <!-- Did you get it from an official source like dlib.net, this github repo, or somewhere else? -->
* **Platform**: <!-- include something like `lsb_release -a` output, or if Windows, version and 32-bit or
  64-bit -->
* **Compiler**: <!-- What compiler are you using?  What version of that compiler? -->
